package cpcns.dingZhi.peiZhiGuanLi.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.peiZhiGuanLi.dao.IPeiZhiGuanLiDao;
import cpcns.dingZhi.peiZhiGuanLi.model.PeiZhiGuanLi;
import cpcns.dingZhi.peiZhiGuanLi.service.IPeiZhiGuanLiService;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("peiZhiGuanLiService")
public class PeiZhiGuanLiServiceImpl extends DangAnBaseServiceImpl<PeiZhiGuanLi> implements IPeiZhiGuanLiService {
  @Autowired
  private IPeiZhiGuanLiDao peiZhiGuanLiDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi, init_key, init_value, zhuangTai,beiZhu from ")).append(table).append(" where 1=1 ");
    Object para = null;
    para = map.get("init_key");
    if (para != null && para != "") {
      sql.append(" and init_key like :init_key");
      tp.put("init_key", "%" + para + "%");
    } 
    para = map.get("init_value");
    if (para != null && para != "") {
      sql.append(" and init_value like :init_value");
      tp.put("init_value", "%" + para + "%");
    } 
    para = map.get("zhuangTai");
    if (para != null && para != "" && !"0".equals(para)) {
      sql.append(" and zhuangTai=:zhuangTai");
      tp.put("zhuangTai", para);
    } 
    return this.peiZhiGuanLiDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
  
  public PeiZhiGuanLi getPeiZhiGuanLi(String key) {
    String sql = "select hangbiaoshi,init_key,init_value,zhuangtai,beizhu from d_init where zhuangTai=1 and init_key='" + key + "'";
    List<Object[]> objs = this.peiZhiGuanLiDao.getList(sql);
    PeiZhiGuanLi obj = null;
    if (objs != null && objs.size() == 1) {
      obj = new PeiZhiGuanLi();
      Object[] pzgl = objs.get(0);
      obj.setHangBiaoShi(Integer.valueOf(Integer.parseInt((String)pzgl[0])));
      obj.setInit_key((String)pzgl[1]);
      obj.setInit_value((String)pzgl[2]);
      obj.setZhuangTai(Integer.valueOf(Integer.parseInt((String)pzgl[3])));
      if (pzgl[4] != null)
        obj.setBeiZhu((String)pzgl[4]); 
    } 
    return obj;
  }
}
